 <?php
    // A sessão precisa ser iniciada em cada página diferente
    if (!isset($_SESSION)) session_start();
    // Verifica se não há a variável da sessão que identifica o usuário
    if (!isset($_SESSION['UsuarioID'])) {
        // Destrói a sessão por segurança
        session_destroy();
    // Redireciona o visitante de volta pro login
        header("Location: templates/validacao/login.php"); exit;
    }

    $array=explode("***",$_SESSION['UsuarioNivel'] );
?>


<!doctype html>
<html lang="pt">
  <head>
    <meta charset="utf-8">
   
 
    <title>SGE</title>

    <!-- CSS do  Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

   	<!-- CSS do menu lateral -->
    <link href="css/dashboard.css" rel="stylesheet">


<!-- Função responsavel pelas mascaras  -->
<script type="text/javascript" src="js/jquery-3.3.1.min.js"></script>
    <script type="text/javascript" src="js/jquery.mask.min.js"></script>   
    <script type="text/javascript">
        $(document).ready(function(){
            $("#usuario").mask("000.000.000-00")
            $("#cnpj").mask("00.000.000/0000-00")
            $("#telefone").mask("(00) 00000-0000")
            $("#cpf").mask("000.000.000-00")
            $("#login").mask("000.000.000-00")
            $("#cep").mask("00.000-000")
            
            
            $("#rg").mask("999.999.999-W", {
                translation: {
                    'W': {
                        pattern: /[X0-9]/
                    }
                },
                reverse: true
            })
            
            var options = {
                translation: {
                    'A': {pattern: /[A-Z]/},
                    'a': {pattern: /[a-zA-Z]/},
                    'S': {pattern: /[a-zA-Z0-9]/},
                    'L': {pattern: /[a-z]/},
                }
            }
            
            
        })
        </script>



  </head>

  <body>
<!-- Navbar superior -->
    <nav class="navbar navbar-dark fixed-top bg-dark flex-md-nowrap p-0 shadow">
       
      <div class="container col-md-6">
        <a class="navbar-brand col-sm-3 col-md-2 mr-0" href="base.php">SGE - Sistema de Gerenciamento de Estágios </a>
      </div>
      <div class="container col-md-5 justify-content-end">
        <div class="dropdown">
          <a class="btn btn-dark dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
           <?php echo $_SESSION['UsuarioNome'] ;    ?>
          </a><!-- O echo em cima ira inserir na tela o nome do usuário -->
          <!-- Aqui se encontra o menu da navbar superior -->
          <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            <a class="dropdown-item" href="base.php?p=3">Alterar Dados</a>
            <a class="dropdown-item" href="base.php?p=1">Alterar Senha</a>
            <a class="dropdown-item" href="templates/validacao/logout.php">Deslogar</a>
          </div>
        </div>
      </div>


    </nav>
<!-- navbar que se encontra a esquerda -->
    <div class="container-fluid">
      <div class="row">
        <nav class="col-md-2 d-none d-md-block bg-light sidebar">
          <div class="sidebar-sticky">
            <ul class="nav flex-column">
              <li class="nav-item">
                <a class="nav-link active" href="base.php">
                  <span data-feather="home"></span>
                  Home <span class="sr-only">(current)</span>
                </a><!-- link de acesso  -->
              </li>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=3">
                  <span data-feather="user"></span>
                  Dados Pessoais
                </a><!-- link de acesso  -->
              </li>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=21">
                  <span data-feather="book-open"></span>
                  Gerenciamento de Estágios
                </a><!-- link de acesso  -->
              </li>
              <?php // Verifica se o usuário possui a permissão de acesso representante legal da universidade
              if ($array[4] == 1 ) { 
              ?>  
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=25">
                  <span data-feather="book-open"></span>
                  Organizacão Concedente UEMS
                </a><!-- link de acesso  -->
              </li>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=26">
                  <span data-feather="book-open"></span>
                  Supervisores UEMS
                </a><!-- link de acesso  -->
              </li> 
               <?php }
             if ($array[8] == 1 ) {//Verifica se o usuário possui a permissão de acesso estágiario
              ?>  
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=16">
                  <span data-feather="book-open"></span>
                  Lista de Organizações Concedentes
                </a><!-- link de acesso  -->
              </li>
              
               <?php }// Verifica se o usuário possui a permissão de acesso
               if ($array[5] == 1 ) {
                          ?>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=14">
                  <span data-feather="book-open"></span>
                  Organizações Concedentes<!-- link de acesso  -->
                </a>
              </li>
               <?php }// Verifica se  o usuário´possui a permissão de acesso coordernador de estágio
                if ($array[3] == 1 ) {
                          ?>
               <li class="nav-item">
                <a class="nav-link" href="base.php?p=19">
                  <span data-feather="shield"></span>
                  Alterar Seguro <!-- link de acesso  -->
                </a>
              </li>
              <?php    } 
               // Verifica se o usuário possui a permissão de acesso Administrador ou coordenador de estágio
              if ((($array[0] == 1) or ($array[3] == 1 )) or ($array[1] == 1 )) {
                          ?> 
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=5">
                  <span data-feather="user-plus"></span>
                  Cadastro de Usuários <!-- link de acesso  -->
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=9">
                  <span data-feather="users"></span>
                  Gerenciamento de Usuários <!-- link de acesso  -->
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=15">
                  <span data-feather="briefcase"></span>
                  Cadastro de Organizações Concedentes
                </a><!-- link de acesso  -->
              </li>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=12">
                  <span data-feather="briefcase"></span>
                  Gerenciamento de Organizações Concedentes
                </a><!-- link de acesso  -->
              </li>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=48">
                  <span data-feather="briefcase"></span>
                  Cadastro de Convênio
                </a><!-- link de acesso  -->
              </li>
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=46">
                  <span data-feather="briefcase"></span>
                  Gerenciamento de Convênio
                </a><!-- link de acesso  -->
              </li>  
                <?php } // Verifica se  o usuário possui a permissão de administrador
             if (($array[0] == 1 ) OR ($array[1] == 1 ) ) {
              ?>  
              <li class="nav-item">
                <a class="nav-link" href="base.php?p=20">
                  <span data-feather="file"></span>
                  Criar Declaração de Estágio
                </a><!-- link de acesso  -->
              </li>
                <li class="nav-item">
                <a class="nav-link" href="base.php?p=22">
                  <span data-feather="file"></span>
                  Criar Plano de Estágio
                </a><!-- link de acesso  -->
              </li>
                <li class="nav-item">
                <a class="nav-link" href="base.php?p=23">
                  <span data-feather="file"></span>
                  Criar Termo de Compromisso
                </a><!-- link de acesso  -->
              </li>
                <li class="nav-item">
                <a class="nav-link" href="base.php?p=24">
                  <span data-feather="file"></span>
                  Criar Termo de Compromisso UEMS 
                </a><!-- link de acesso  -->
              </li>
             <?php }  ?>
            </ul>
          </div>
        </nav>

        <main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">

         <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <?php  //metodo para chamar paginas de forma dinamica
                        $valor = @$_GET['p'];//lista de todas as paginas com seus endereços
                        $pag[1]= "templates/validacao/alterarsenha.php";
                        $pag[2]= "templates/validacao/alterarsenha.php";
                        $pag[3]= "templates/usuario/alteradadosusuario.php";
                        $pag[4]= "templates/usuario/alteradadosusuario.php";
                        $pag[5]= "templates/usuario/cadastro1.php";
                        $pag[6]= "templates/usuario/cadastro1.php";
                        $pag[7]= "templates/usuario/cadastro2.php";
                        $pag[8]= "templates/usuario/cadastro2.php";
                        $pag[9]= "templates/usuario/listauser.php";
                        $pag[10]= "templates/usuario/cadastro1.php"; 
                        
                        $pag[12]= "templates/convenio/listaconvenio.php";
                        $pag[13]= "templates/convenio/alteradadosconvenio.php";
                        $pag[14]= "templates/convenio/listaconveniopessoal.php";
                        $pag[15]= "templates/convenio/cadastroconvenioextra.php";
                        $pag[16]= "templates/convenio/listaconveniopublica.php";
                        $pag[17]= "templates/convenio/dadosconvenio.php";
                        $pag[18]= "templates/usuario/listasupervisor.php";
                        $pag[19]= "templates/estagio/alterarseguro.php";
                        $pag[20]= "templates/estagio/termocompromisso.php";
                        $pag[21]= "templates/estagio/listaestagio.php";
                        $pag[22]= "templates/estagio/termocompromisso.php";
                        $pag[23]= "templates/estagio/termocompromisso.php";
                        $pag[24]= "templates/estagio/termocompromisso.php";
                        $pag[25]= "templates/convenio/alteradadosconveniouems.php";
                        $pag[26]= "templates/usuario/listasupervisoruems.php";
                        $pag[27]= "templates/estagio/listaestagio.php";
                        $pag[28]= "templates/estagio/listaestagio2.php";
                        $pag[29]= "templates/estagio/alteradadosestagio.php";
                        $pag[30]= "templates/estagio/vizualizaestagio.php";
                        $pag[31]= "templates/estagio/listaestagio.php";
                        $pag[32]= "templates/estagio/listaestagio.php";
                        $pag[33]= "templates/estagio/listaestagio2.php";
                        $pag[34]= "templates/estagio/alterardeclaracao.php";
                        $pag[35]= "templates/estagio/alterardeclaracao.php";
                        $pag[36]= "templates/estagio/observacao.php";
                        $pag[37]= "templates/estagio/observacao.php";
                        $pag[38]= "templates/estagio/observacao.php";
                        $pag[39]= "templates/estagio/alterartermo.php";
                        $pag[40]= "templates/estagio/alterartermo.php";
                        $pag[41]= "templates/estagio/alterarplano.php";
                        $pag[42]= "templates/estagio/alterarplano.php";
                        $pag[43]= "templates/estagio/avaliacao.php";
                        $pag[44]= "templates/estagio/avaliacao.php";
                        $pag[45]= "templates/estagio/avaliacao.php";
                        $pag[46]= "templates/convenio/listaconvenio.php";
                        $pag[47]= "templates/convenio/alteradadosconvenio3.php";
                        $pag[48]= "templates/convenio/alteradadosconvenio2.php";
                        $pag[49]= "templates/convenio/alteradadosconvenio2.php";
                        $pag[50]= "templates/usuario/alteradadosusuario.php";
                        $pag[51]= "templates/convenio/cadastroconvenioextra.php";

                          if ((!empty($valor)) && (file_exists($pag[$valor]))){
                            require_once $pag[$valor];//abre a pagina dentro de base.php
                           }
                                        // Verifica se existe um alerta para montrar
                                            if ($_SESSION['alertastatus'] == 1) { ?>
                                                <br><br><br>

                                                  <div class="alert alert-primary" role="alert">
                                                <?php //emprime o alerta
                                                 echo $_SESSION['alerta']; 
                                                 $_SESSION['alertastatus'] = 0 ; // att os dados dizendo que ja foi imformado o alerta        
                                                ?>
                                                 </div> 
                                               <?php   }
                      ?>
                </div>
            </div>                    
        </div>
        </main>
      </div>
    </div>
   <!-- bibliotecas em js da parte estética   -->
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <!-- Icons -->
    <script src="https://unpkg.com/feather-icons/dist/feather.min.js"></script>
    <script>
      feather.replace()
    </script> 
  </body>
</html>
