<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <!-- Tela de login  -->
        <title>SGE</title>
        <link href="../../css/sb-admin-2.css" rel="stylesheet">
        <link href="../../css/bootstrap3.min.css" rel="stylesheet">
           <!-- bibliotecas da parte estética  -->
        <script type="text/javascript" src="../../js/jquery-3.3.13.min.js"></script>
        <script type="text/javascript" src="../../js/bootstrap3.min.js"></script>
        <script type="text/javascript" src="../../js/jquery.mask3.min.js"></script>  
        <script type="text/javascript">
        $(document).ready(function(){
            $("#usuario").mask("000.000.000-00")
            $("#cnpj").mask("00.000.000/0000-00")
            $("#telefone").mask("(00) 0000-0000")
            
            $("#cep").mask("00.000-000")
            
            
            $("#rg").mask("999.999.999-W", {
                translation: {
                    'W': {
                        pattern: /[X0-9]/
                    }
                },
                reverse: true
            })
            
            var options = {
                translation: {
                    'A': {pattern: /[A-Z]/},
                    'a': {pattern: /[a-zA-Z]/},
                    'S': {pattern: /[a-zA-Z0-9]/},
                    'L': {pattern: /[a-z]/},
                }
            }
            
            
        })
        </script><!-- função da mascara  -->
    </head>
    <body>
    <div class="container">
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <div class="login-panel panel panel-primary">
                    <div class="panel-heading">
                        <h3 class="panel-title">Sistema de gerenciamento de estagio</h3>
                    </div>
                    <div class="panel-body"><!-- formulario de validação do login  -->
                        <form role="form"   action="validacao.php" method="post"  >
                            <fieldset>
                               <div class="form-group"><!-- login , caso o usuário digitado seja invalido ele recarrega a pagina com os dados de login já inseridos  -->
                                    <input class="form-control"    placeholder="CPF : nnn.nnn.nnn-nn" name="usuario" id="usuario" data-mask="000.000.000-00"  type="text" value="<?php if (!isset($_SESSION)) session_start(); if (isset($_SESSION['login2'])) { 
                                               echo $_SESSION['login2']; }   ?>"  required autofocus>
                                   
                                </div>
                                <div class="form-group">
                                    <input class="form-control" placeholder="Senha" name="senha" type="password"    required value="">
 
                                </div>
                                <div>
                                    <?php 
                                        // mostra a mensagem de aviso caso os dados estão incorretos
                                            if (isset($_SESSION['login'])) { ?>
                                                  <div class="alert alert-danger" role="alert">
                                                <?php 
                                                 echo $_SESSION['login'];          
                                                ?>
                                                 </div> 
                                               <?php   }
                                     ?>

                                     <a href="esquecisenha.php">Esqueci minha senha</a><!-- link de acesso caso o usuário esqueceu a senha -->

                                </div>            
                                <input type="submit" value="Entrar"  class="btn btn-lg btn-primary btn-block"  />
                            </fieldset>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>  
    </body>
</html>